Accounting report file for stores
Get an accounting report for a store UID and a time period. Depending on the header you set, the response is either a json containing a base 64 encoded pdf or a direct download. The file is base64 encoded. You can set choose among the supported file types, default is PDF.
Required permissions: REPORTING
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+^[A-Za-z0-9-_]*List of storeUids to include in report.
Supported report formats
Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.
base64 encoded
mime type
POST /v2/tenants/{tenantUid}/reports/accounting/download HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 114
{
"fromDate": "2026-01-01",
"toDate": "2026-01-01",
"organizationUid": "text",
"storeUids": [
"text"
],
"reportFormat": "PDF"
}Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.
{
"content": "text",
"contentType": "text",
"filename": "text"
}Last updated
Was this helpful?

